<?php

namespace plugin;

use plugin\Entity\Minecart;
use plugin\Task\MinecartUpdateTask;
use pocketmine\entity\Entity;
use pocketmine\event\Listener;
use pocketmine\plugin\PluginBase;

class AddCart extends PluginBase implements Listener{

    public function __construct(){
        Entity::registerEntity(Minecart::class);
    }

    public function onEnable(){
        $this->getServer()->getPluginManager()->registerEvents($this, $this);
        $this->getServer()->getScheduler()->scheduleRepeatingTask(new MinecartUpdateTask($this), 1);
    }

}